import * as vscode from 'vscode'

vscode.languages.registerCompletionItemProvider('astrolang', {
    provideCompletionItems() {
        const words = [
            "kraf",
            "piszolj",
            "ha nem geny akkor geny",
            "ha nem geny",
            "nem piszv",
            "kopva",
            "gethelj",
            "ha geny",
            "lőcsve",
            "csecs",
            "reti",
            "piszv",
            "amíg geny",
            "nincs hám",
            "szard le",
            "hámozd",
            "be",
            "ba",
            "szaft"
        ]
        const env = [
            "ugass",
            "bimba",
            "csömör",
            "tarh",
            "bimbabemb",
            "nerd",
            "tábla",
            "kábel",
            "szenvedés",
            "mennyi az idő",
            "joink",
            "intéző",

            "abs",
            "kerek",
            "sin",
            "cos",
            "tan",
            "sqrt",
            "legnagyobb",
            "legkisebb",
            "pi",

            "csemerd fel",
            "csemerd le",
            "hossz",
            "ismételd",
            "uno reverse",
            "darabos",
            "keres",
            "átrak",
            "számmá",
            "betűvé",

            "hozzáad",
            "töröl",
            "kulcsok",

            "vége",

            "halgass",
            "kérés",
            "írj",
            "olvass",
            "zár",

            "létezik",
            "infó",
            "mappít",
            "mappát töröl",
            "fájlt töröl",
            "olvass",
            "írj"
        ]
        let out = []
        for (let i = 0; i < words.length; i++) {
            out.push(new vscode.CompletionItem(words[i], vscode.CompletionItemKind.Keyword))
        }
        for (let i = 0; i < env.length; i++) {
            out.push(new vscode.CompletionItem(env[i], vscode.CompletionItemKind.Variable))
        }
        return out
    }
})